<html>
<head>
  <title>Agenda del día</title>
 <meta charset="UTF-8">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
            integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
            integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
            crossorigin="anonymous"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="./assets/styles/styles.css" type="text/css">
    <link rel="stylesheet" href="./assets/font-awesome-4.7.0/css/font-awesome.min.css">
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
</head>
<body>
    <!-- EPIEZA EL NAV DERECHO-->
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo01"
            aria-controls="navbarTogglerDemo01" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="nav">
        <a class="navbar-brand" href="bienvenido.html"><img src="./img/logo.png" height="60px" width="60px"></a>
       <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
            <a class= "label-azul" href="bienvenido.html"><h3 class="label-azul">Clinicas V.U.H.M.</h3>
        </ul>

        <div class="form-inline my-2 my-lg-0">
            <a class="navbar-brand" href="bienvenido.html"><img src="./img/logo_2.JPG" height="60px" width="60px"></a>
        </div>
    </div>
</nav>

<div class="d-flex" id="wrapper">
    <div class="bg-light border-right" id="sidebar-wrapper">
    <div class="list-group list-group-flush text-center">
        <a href="agendarCita.html" id="agendaDia" class="list-group-item list-group-item-action">
            <img id="agendaD" src="./img/icono_agenda_azul.png">
            <br>Agenda del día
        </a>
        <a href="finanzasPersonales.html" id="finanzasPersonales" class="list-group-item list-group-item-action">
            <img id="finanzasP" src="./img/icono_finanzasPersonales_azul.png">
            <br>Finanzas personales
        </a>
        <a href="#" class="list-group-item list-group-item-action">
            <img src="./img/icono_configuracion_azul.png">
            <br>Configuración
        </a>
        <a href="conversacion.html"  id="conversaciones" class="list-group-item list-group-item-action">
            <img id="convers" src="./img/icono_conversaciones_azul.png">
            <br>Conversaciones
        </a>
        <a href="index.html" class="list-group-item list-group-item-action">
            <img src="./img/icono_salir_azul.png">
            <br>Salir
        </a>
    </div>
</div>
<!--TERMINA EL NAV DERECHA-->
    <div id="page-content-wrapper">
        <div class="container">
            <div class="col-md-12">
                <a href="agendarCita.html">
                    <img src="./img/icons/arrow-return.png" alt="">
                </a>
                <label class="label-azul"><b>Consulta m&eacute;dica</b></label>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <div class="col-md-12 btn-color text-center">
                        Resumen de pacientes
                    </div>
                    <br>
                    <div style="max-height: 250px; overflow-y: auto">
                        <table id="tipoTable" class="col-md-12 table-bordered table-azul">
                            <thead>
                            <tr class="text-center">
                                <th>Tipo</th>
                                <th>Cant.</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td class="pointer marked-tipo">Primera vez</td>
                                <td class="text-right">4</td>
                            </tr>
                            <tr>
                                <td class="pointer marked-tipo">Cr&oacute;nico</td>
                                <td class="text-right">10</td>
                            </tr>
                            <tr>
                                <td class="pointer marked-tipo">Cr&oacute;nico agudizado</td>
                                <td class="text-right">6</td>
                            </tr>
                            <tr>
                                <td class="pointer marked-tipo">Alto riesgo</td>
                                <td class="text-right">5</td>
                            </tr>
                            </tbody>
                            <tfoot>
                            <tr>
                                <td>Total</td>
                                <td class="text-right">25</td>
                            </tr>
                            </tfoot>
                        </table>
                    </div>
                    <br>
                    <div style="overflow-y: auto;max-height: 235px">
                        <table id="enfermedadTable" class="col-md-12 table-bordered table-azul">
                            <thead class="text-center">
                            <tr>
                                <th>Enfermedad</th>
                                <th>Cant.</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td class="pointer marked-enfermedad">C&aacute;ncer</td>
                                <td class="text-right">1</td>
                            </tr>
                            <tr>
                                <td class="pointer marked-enfermedad">SIDA</td>
                                <td class="text-right">2</td>
                            </tr>
                            <tr>
                                <td class="pointer marked-enfermedad">EPOC</td>
                                <td class="text-right">0</td>
                            </tr>
                            <tr>
                                <td>Otras</td>
                                <td class="text-right">22</td>
                            </tr>
                            </tbody>
                            <tfoot>
                            <tr>
                                <td>Total</td>
                                <td class="text-right">25</td>
                            </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
                <div class="col-md-9">
                    <div class="col-md-12 text-center btn-color">Cola de pacientes</div>
                    <br>
                    <div style="max-height: 500px;overflow-y: auto">
                        <table id="colaTabla" class="table-bordered table-azul col-md-12">
                            <thead>
                            <tr>
                                <th>Turno</th>
                                <th>Nombre</th>
                                <th>Espera</th>
                                <th>Tipo</th>
                                <th>Diag&oacute;stico/sintomas</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td>1</td>
                                <td><a  href="consultaMedica.html">Aguado L&oacute;pez, Mayra <span
                                        class="btn fa fa-youtube-play pull-right pointer"></span></td>
                                <td>01:59:59'</td>
                                <td class="pointer marked-tipo">Primera vez</td>
                                <td class="pointer marked-enfermedad">C&aacute;ncer</td>
                            </tr>
                            <tr>
                                <td>2</td>
                                <td>Barriobero Olarte, Jorge<span
                                        class="btn fa fa-youtube-play pull-right pointer"></span></td>
                                <td>01:08:12'</td>
                                <td class="pointer marked-tipo">Cr&oacute;nico</td>
                                <td class="pointer marked-enfermedad">SIDA</td>
                            </tr>
                            <tr>
                                <td>3</td>
                                <td>Cort&eacute;s Cotino, Rosal&iacute;a<span
                                        class="btn fa fa-youtube-play pull-right pointer"></span></td>
                                <td>00:48:24'</td>
                                <td class="pointer marked-tipo">Cr&oacute;nico</td>
                                <td class="pointer marked-enfermedad">Gripe</td>
                            </tr>
                            <tr>
                                <td>4</td>
                                <td>Casas bosca, Juan F&eacute;liz<span
                                        class="btn fa fa-youtube-play pull-right pointer"></span></td>
                                <td>00:23:25'</td>
                                <td class="pointer marked-tipo">Cr&oacute;nico</td>
                                <td class="pointer marked-enfermedad">Diabetes</td>
                            </tr>
                            <tr>
                                <td>5</td>
                                <td>Jimen&eacute;z Manzano, Laura<span
                                        class="btn fa fa-youtube-play pull-right pointer"></span></td>
                                <td>00:06:34'</td>
                                <td class="pointer marked-tipo">Cr&oacute;nico agudizado</td>
                                <td class="pointer marked-enfermedad">EPOC</td>
                            </tr>
                            <tr>
                                <td>6</td>
                                <td>Os&eacute;s Fern&aacute;ndez, Javier <span
                                        class="btn fa fa-youtube-play pull-right pointer"></span></td>
                                <td>00:07:34'</td>
                                <td class="pointer marked-tipo">Alto riesgo</td>
                                <td class="pointer marked-enfermedad">Asma</td>
                            </tr>
                            <tr>
                                <td>7</td>
                                <td>Val&eacute;s Bolufer, Miguel <span
                                        class="btn fa fa-youtube-play pull-right pointer"></span></td>
                                <td>02:17:00'</td>
                                <td class="pointer marked-tipo">Primera vez</td>
                                <td class="pointer marked-enfermedad">C&aacute;ncer</td>
                            </tr>
                            <tr>
                                <td>8</td>
                                <td>Zuzunaga Bed&oacute;n, Mirna <span
                                        class="btn fa fa-youtube-play pull-right pointer"></span></td>
                                <td>00:33:12'</td>
                                <td class="pointer marked-tipo">Cr&oacute;nico agudizado</td>
                                <td class="pointer marked-enfermedad">Malestar estomacal</td>
                            </tr>
                            <tr>
                                <td>9</td>
                                <td>Aguado L&oacute;pez, Mayra <span
                                        class="btn fa fa-youtube-play pull-right pointer"></span></td>
                                <td>01:59:59'</td>
                                <td class="pointer marked-tipo">Primera vez</td>
                                <td class="pointer marked-enfermedad">Diabetes</td>
                            </tr>
                            <tr>
                                <td>10</td>
                                <td>Barriobero Olarte, Jorge<span
                                        class="btn fa fa-youtube-play pull-right pointer"></span></td>
                                <td>01:08:12'</td>
                                <td class="pointer marked-tipo">Cr&oacute;nico</td>
                                <td class="pointer marked-enfermedad">TDA</td>
                            </tr>
                            <tr>
                                <td>11</td>
                                <td>Cort&eacute;s Cotino, Rosal&iacute;a<span
                                        class="btn fa fa-youtube-play pull-right pointer"></span></td>
                                <td>00:48:24'</td>
                                <td class="pointer marked-tipo">Cr&oacute;nico</td>
                                <td class="pointer marked-enfermedad" class="pointer marked-enfermedad">Desconocido</td>
                            </tr>
                            <tr>
                                <td>12</td>
                                <td>Casas bosca, Juan F&eacute;liz<span
                                        class="btn fa fa-youtube-play pull-right pointer"></span></td>
                                <td>00:23:25'</td>
                                <td class="pointer marked-tipo">Cr&oacute;nico</td>
                                <td class="pointer marked-enfermedad">SIDA</td>
                            </tr>
                            <tr>
                                <td>13</td>
                                <td>Jimen&eacute;z Manzano, Laura<span
                                        class="btn fa fa-youtube-play pull-right pointer"></span></td>
                                <td>00:06:34'</td>
                                <td class="pointer marked-tipo">Cr&oacute;nico agudizado</td>
                                <td class="pointer marked-enfermedad">Gripe</td>
                            </tr>
                            <tr>
                                <td>14</td>
                                <td>Os&eacute;s Fern&aacute;ndez, Javier <span
                                        class="btn fa fa-youtube-play pull-right pointer"></span></td>
                                <td>00:07:34'</td>
                                <td class="pointer marked-tipo">Alto riesgo</td>
                                <td class="pointer marked-enfermedad">Desconocido</td>
                            </tr>
                            <tr>
                                <td>15</td>
                                <td>Val&eacute;s Bolufer, Miguel <span
                                        class="btn fa fa-youtube-play pull-right pointer"></span></td>
                                <td>02:17:00'</td>
                                <td class="pointer marked-tipo">Primera vez</td>
                                <td class="pointer marked-enfermedad">Desconocido</td>
                            </tr>
                            <tr>
                                <td>16</td>
                                <td>Zuzunaga Bed&oacute;n, Mirna <span
                                        class="btn fa fa-youtube-play pull-right pointer"></span></td>
                                <td>00:33:12'</td>
                                <td class="pointer marked-tipo">Cr&oacute;nico agudizado</td>
                                <td class="pointer marked-enfermedad">Desconocido</td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-md-4 text-center">
                            <button class="btn btn-color">Paciente sin cita</button>
                        </div>
                        <div class="col-md-4 text-center">
                            <button class="btn btn-color">Persona sin cita</button>
                        </div>
                        <div class="col-md-4 text-center">
                            <button class="btn btn-color">Incrementar citas</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    $(document).ready(function () {
        $("#agendaDia").addClass("btn-color activo");
        $("#agendaD").attr("src", "./img/icono_agenda_blanco.png");
    });

    $(".marked-tipo").on("click", function () {
        iterarTabla("#colaTabla", $(this).html(), ".marked-tipo");
        iterarTabla("#tipoTable", $(this).html(), ".marked-tipo");
        iterarTabla("#enfermedadTable", $(this).html(), ".marked-enfermedad");
    });

    $(".marked-enfermedad").on("click", function () {
        iterarTabla("#colaTabla", $(this).html(), ".marked-enfermedad");
        iterarTabla("#enfermedadTable", $(this).html(), ".marked-enfermedad");
        iterarTabla("#tipoTable", $(this).html(), ".marked-tipo");
    });

    function iterarTabla(tablaId, valor, clase) {
        $(tablaId + " tr " + clase).each(function () {
            if (valor === $(this).html()) {
                console.log("this " + $(this).html());
                $(this).parent().addClass("marcado");
            } else {
                $(this).parent().removeClass("marcado");

            }
        });
    }
</script>
</body>
</html>
